Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ClassDomain

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SchemaObject

                        |

                        +--oracle.ifs.server.S_TieSchemaObject

                              |

                              +--oracle.ifs.server.S_ClassDomain

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  S_TieClassDomain

public class S_ClassDomain
extends S_TieSchemaObject

A S_ClassDomain describes a validation that can be applied to an Attribute to ensure that its values are instances of specified classes.

Method Summary
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert validation.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-update validation.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`boolean` | `isClassInClassDomain(S_ClassObject co)` Determines whether the specified ClassObject is within this ClassDomain.

Methods inherited from class oracle.ifs.server.S_SchemaObject
`hasNameAttribute`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`deriveDefinition, equals, extendedPreFree, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### isClassInClassDomain

    public boolean isClassInClassDomain(S_ClassObject co)
                                 throws IfsException

  Determines whether the specified ClassObject is within this ClassDomain.
  Parameters:
    `co` - the classobject
  Returns:
    whether the class lies within this ClassDomain
  Throws:
    `IfsException` - if the operation fails

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Performs pre-insert validation.
  Overrides:
    `extendedPreInsert` in class `S_SchemaObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition of the ClassDomain being created
  Throws:
    `IfsException` - (IFS-31201) if any element of the CLASSES attribute is null

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Performs pre-update validation.
  Overrides:
    `extendedPreUpdate` in class `S_LibraryObject`
  Parameters:
    `the` - operation state
    `the` - definition of the ClassDomain being updated
  Throws:
    `IfsException` - (IFS-31201) if any element of the CLASSES attribute is null

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Handles the specified event.
  Overrides:
    `handleEvent` in class `S_LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD